Bug 312579 - Settings resets brightness
Summary: Settings resets brightness
Status: RESOLVED FIXED
Alias: None
Product: Active
Classification: Unclassified
Component: General (show other bugs)
Version: PA 3
Platform: Other Linux
: NOR normal (vote)
Target Milestone: unscheduled
Assignee: active
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-01-04 01:00 UTC by Michael Bohlender
Modified: 2013-04-10 08:32 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Michael Bohlender 2013-01-04 01:00:04 UTC
Steps to reproduce:

1. open Settings

2. set "Brigthness" to about 20% 
-> brightness is set correctly

3. klick  "Time and Date"

4. klick   "Screen"
-> brightness is  set to 100% without any interaction.
expected would be that the brightness stayed at 20% and is only changed when adjusting it again.

reproduce able: every time

device: nexus 7 / mer
Comment 1 Thomas Pfeiffer 2013-01-04 10:14:58 UTC
I can confirm that on Wetab as well.
Comment 2 Marco Martin 2013-01-21 15:55:44 UTC
Git commit 10743beb7a28a156909744e5eb03752dffcc54a2 by Marco Martin.
Committed on 21/01/2013 at 16:53.
Pushed by mart into branch 'master'.

we need the number told by the dataengine/100

M  +1    -1    applications/settings/modules/powermanagement/contents/ui/Power.qml

http://commits.kde.org/plasma-mobile/10743beb7a28a156909744e5eb03752dffcc54a2
Comment 3 Thomas Pfeiffer 2013-01-23 21:02:57 UTC
Still happens with Integration packages from today
Comment 4 Thomas Pfeiffer 2013-01-26 10:28:01 UTC
Right now brightness does very weird things at least on the WeTab. It keeps changing without me doing anything. Apparently it tries to interpret reading the light sensor (brightness changes when I cover the sensor) but it does so quite erratically.
When I go to the Screen Settings module, the slider always resets to 100%. When try to I change it, it jumps around, sometimes stopping at 100%, sometimes at 0%
Comment 5 Michael Bohlender 2013-04-10 00:18:25 UTC
I think this bug should be marked as resolved as the original bug has been fixed and the "WeTab light sensor bug" probably wont get fixed.
Comment 6 Thomas Pfeiffer 2013-04-10 08:32:11 UTC
Agreed.